#!/bin/bash
#
# TestSuite Platform specific Configuration
#

PATH="/mingw32/bin:$PATH"
PKG_CONFIG_LIBDIR="/mingw32/xiph/lib/pkgconfig:/mingw32/modplug/lib/pkgconfig"

export PLATFORM_NAME="MinGW"
export PLATFORM_ID="mingw32"
# must be different from the build system
PREFIX=''
toxine_cmd='wine ${TESTSUITE_DISTDIR}${PREFIX}/bin/toxine.exe'
#toxine="valgrind --tool=memcheck --num-callers=1000 --leak-check=yes ${toxine}"

for host in i386-mingw32msvc i386-mingw32 none; do
  if which $host-gcc >/dev/null; then break; fi
done
CROSS=$host

# TODO: was the problem this?
CFLAGS=$(echo $CFLAGS | sed -e 's/\-fpie//')
LDFLAGS=$(echo $LDFLAGS | sed -e 's/\-pie//')

#NO_RUN_MSVC_LIB=1

XINE_LIB_CONFIGURE_OPTS="
	--build=i686-fedora-linux \
	--host=${CROSS} \
	--disable-iconvtest \
	--disable-freetype \
	--without-x \
	--with-dxheaders=/mingw32/include/dx7headers \
	--with-pthread-prefix=/mingw32/pthreads-win32 \
	--with-zlib-prefix=/mingw32/zlib \
	--with-ogg-prefix=/mingw32/xiph \
	--with-vorbis-prefix=/mingw32/xiph \
	--with-theora-prefix=/mingw32/xiph \
	--disable-vcd \
	--with-speex-prefix=/mingw32/xiph"
#	--with-external-ffmpeg=/mingw32/ffmpeg \
#XINE_LIB_POST_PATCHES="xine-lib/cross_post.diff"
