#! /bin/bash

#
# TestSuite Configuration
#

export SAMPLE_DIR=/var/www/testsuite/samples
export SAMPLE_BASEURL=http://xine.zcu.cz/testsuite/samples
export REPORTS_DIR=/var/www/testsuite/reports
export CURRENT_DATE=`date +%Y_%m_%d`
export TIMESTAMP=`date "+%Y-%m-%d %H:%M:%S%z"`
export PREFIX=/usr
export BINSDIR="$HOME/_autobuilds_"
export TESTSUITE_TARGETDIR=/tmp/testsuite
export PLATFORMS="linux freebsd mingw32 msvc_HEAD uclibc valgrind"
export UPLOAD_SERVER=xine@xine.zcu.cz
export UPLOAD_PATH=~/testsuite

toxine_cmd=${BIN_DIR}/dummy_toxine.sh
systoxine=$(which toxine)
xineplugindir_rel=/lib/xine/plugins/1.1.4
find=$(which find)
find_args=-follow
sort=$(which sort)
bc=$(which bc)
ls=$(which ls)
if [ x"$(uname)" = x"FreeBSD" ]; then
#	time=${BIN_DIR}/dummy_time.sh
#	time_args="FreeBSD suck. :-/"
	time=$(which time)
	time_args=""
	date=gdate
	make=gmake
	md5sum=md5
else
	time=$(which time)
	time_args="-q -f %E"
	date=date
	make=make
	md5sum=md5sum
fi

XINE_LIB_PATCHES="
	xine-lib/uclibc.patch
	xine-lib/mkdirff.diff"
#XINE_LIB_FILES="
#	xine-lib/xine-check-lib.m4,m4/"
TOXINE_PATCHES="
	toxine/toxine_common2.diff
	toxine/toxine_winport7.diff
	toxine/toxine_uclibcport.diff"
TOXINE_FILES="
	toxine/toxine.xcf,misc/
	toxine/toxine.ico,misc/"

CFLAGS="-pipe -O2"
#LDFLAGS=""

[ -f ${TESTSUITE_DIR}/bin/config-${PLATFORM}.sh ] && . ${TESTSUITE_DIR}/bin/config-${PLATFORM}.sh

PLATFORM_ID=${PLATFORM_ID:-"$(uname | tr \"[:upper:]\" \"[:lower:]\")"}
TESTSUITE_WORKDIR=${TESTSUITE_WORKDIR:-${TESTSUITE_TARGETDIR}/work-${PLATFORM_ID}}
TESTSUITE_DISTDIR=${TESTSUITE_DISTDIR:-${TESTSUITE_TARGETDIR}/suite-${PLATFORM_ID}}
TESTSUITE_DOWNLOADDIR=${TESTSUITE_DOWNLOADDIR:-${TESTSUITE_TARGETDIR}/download}


export toxine_cmd systoxine find find_args sort bc ls time time_args date make
export md5sum
export PLATFORM_NAME PLATFORM_ID CROSS NO_RUN_MSVC_LIB DELETE_DOWNLOADS
export TESTSUITE_WORKDIR TESTSUITE_DISTDIR TESTSUITE_DOWNLOADDIR
export XINE_LIB_PATCHES XINE_LIB_FILES XINE_LIB_CONFIGURE_OPTS XINE_LIB_POST_PATCHES
export TOXINE_PATCHES TOXINE_FILES
export PATH PKG_CONFIG_PATH PKG_CONFIG_LIBDIR
export CFLAGS CPPFLAGS LDFLAGS LIBS DEBUG
