#! /bin/sh

export TESTSUITE_DIR=$(cd $(dirname $0); pwd)
export BIN_DIR=${TESTSUITE_DIR}/bin
export RESULTS_DIR=${TESTSUITE_DIR}/results
export REPORTS_DIR=${TESTSUITE_DIR}/reports
[ -f ${BIN_DIR}/config.sh ] && . ${BIN_DIR}/config.sh

unset pending
for reportsFile in ${RESULTS_DIR}/*-reports*.tar.gz; do
	if [ ! -f "$reportsFile" ]; then break; fi
	(cd ${REPORTS_DIR} && tar xzf $reportsFile && rm $reportsFile)
	pending=1
done
for resultsFile in ${RESULTS_DIR}/*-results.tar.gz; do
	if [ ! -f "$resultsFile" ]; then break; fi
	# XXX: workaround for buggy GNU tar (SCHILY extension)
	(cd ${RESULTS_DIR} && rm -Rf $(tar tzf $resultsFile | head -1) && tar xzf $resultsFile; rm -f $resultsFile)
	pending=1
done

if [ -n "$pending" -o -f ${TESTSUITE_DIR}/results/pending ]; then
	rm -f ${TESTSUITE_DIR}/results/pending
	${BIN_DIR}/platform_matrix.sh
fi
