#! /bin/bash

PLATFORM_ID="$1"
if [ -z "$PLATFORM_ID" ]; then
	PLATFORM_ID=$(uname | tr "[:upper:]" "[:lower:]")
fi

DIR="/tmp/testsuite/work-$PLATFORM_ID"
RESULTS_DIR=$HOME/testsuite/results

# move the latest dir to previous
mv=mv
if which gmv >/dev/null 2>&1; then
	mv=gmv
fi
if [ -d "$DIR" ]; then
	[ ! -d "$DIR.prev" ] || chmod -R +w "$DIR.prev" && rm -Rf "$DIR.prev" || exit $?
	$mv "$DIR" "$DIR.prev" || exit $?
	mkdir "$DIR" || exit $?
#	(cd "$DIR.prev" || return $?
#	 tar -cf - suite | tar -x -C "$DIR" || return $?) || exit $?
fi

# ssh keys
. ~/ssh-agent-info.sh

# run suite
$(dirname $0)/bin/testsuite.sh "$1"
ret=$?
touch ${RESULTS_DIR}/pending
exit $ret
