#! /bin/sh

cd $(dirname $0)
export TESTSUITE_DIR=$(pwd)
export BIN_DIR=${TESTSUITE_DIR}/bin
export TEST_DIR=${TESTSUITE_DIR}/tests
export RESULTS_DIR=${TESTSUITE_DIR}/results
export REPORTS_DIR=${TESTSUITE_DIR}/reports
export PLATFORM=${1:-native}
[ -f ${BIN_DIR}/config.sh ] && . ${BIN_DIR}/config.sh
export RESULT_DIR=${RESULT_DIR:-${RESULTS_DIR}/${PLATFORM_ID}}
STARTDATE=$(${date})
if [ -s "$RESULT_DIR/.date" ]; then
	ISODATE=$(cat "$RESULT_DIR/.date")
else
	ISODATE=$(${date} --iso-8601)
fi

cd ${RESULTS_DIR}
tar -cf - ${PLATFORM_ID} | gzip > ${RESULTS_DIR}/${PLATFORM_ID}-results.tar.gz
cd ${REPORTS_DIR}
tar -cf - ${PLATFORM_ID}/${ISODATE} ${PLATFORM_ID}/index.html | gzip > ${RESULTS_DIR}/${PLATFORM_ID}-reports.tar.gz

# force download next time
rm -f ${TESTSUITE_DOWNLOADDIR}/*.tar.gz

if [ -z "$NO_UPLOAD" ]; then
	. ~/ssh-agent-info.sh
	scp "${RESULTS_DIR}/${PLATFORM_ID}-results.tar.gz" "$UPLOAD_SERVER:$UPLOAD_PATH/results"
	scp "${RESULTS_DIR}/${PLATFORM_ID}-reports.tar.gz" "$UPLOAD_SERVER:$UPLOAD_PATH/results"
	ssh "$UPLOAD_SERVER" touch "$UPLOAD_PATH/results/pending"
fi
